#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
########################################

# Translacja nazwy konta na SID
$Konto = new-object system.security.principal.ntaccount("itv\hs")
$SID = $Konto.Translate([system.security.principal.securityidentifier]).value
$SID

# Translacja SID na nazwę konta
$Konto = new-object system.security.principal.securityidentifier("S-1-5-32-544")
$Nazwa = $Konto.Translate([system.security.principal.ntaccount]).value
$Nazwa

# WKSID 
$SID = [System.Security.Principal.WellKnownSidType]::BuiltinAdministratorsSid
$Konto = new-object system.security.principal.securityidentifier($SID, $null)
$Nazwa = $Konto.Translate([system.security.principal.ntaccount]).value
$Nazwa 

# Nazwa SDDL
$Konto = new-object System.Security.Principal.SecurityIdentifier("BA")
$Konto.Value

